View Issue Details

IDProjectCategoryView StatusLast Update
0022792mantisbtapi restpublic2018-02-06 21:17
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.3.1 
Target Version2.11.0Fixed in Version2.11.0 
Summary0022792: Support downloading issue attachments
Description

At the moment, getting an issue will provide URL links to the attachment. That is not useful for clients since they can't authenticate to download the attachments. However, the current approach would work for web UI javascript since the cookie provides the authentication.

TagsNo tags attached.

Relationships

related to 0022785 closedvboctor Support adding attachments when reporting issues 

Activities

Tomasz Klin

Tomasz Klin

2018-01-19 11:29

reporter   ~0058566

Vote Up.
I need download all image attachments to generate thumbnail images.

Related Changesets

MantisBT: master a1cd2f65

2018-01-21 01:24:51

vboctor

Details Diff
Support downloading issue attachments via REST API

- Get all files for an issue
- Get a specific file for an issue

Fixes 0022792
Affected Issues
0022792
mod - api/rest/restcore/issues_rest.php Diff File
add - core/commands/IssueFileGetCommand.php Diff File
mod - core/file_api.php Diff File

MantisBT: master 43facfa1

2018-01-21 20:33:19

vboctor

Details Diff
Support `delete_url`, `access`, `icon` for files

- Add `delete_url` for attachment information.
- Add `icon` for attachment infromation including font awesome icon.
- Add `alt` for alt text of the icon.
- Add `access` for download and delete access.
- Show `download` and `delete` urls when user has access.

Fixes 0022792
Affected Issues
0022792
mod - api/rest/restcore/issues_rest.php Diff File
mod - api/soap/mc_issue_api.php Diff File
mod - core/commands/IssueFileGetCommand.php Diff File

MantisBT: master 84349ec8

2018-01-28 02:15:37

vboctor

Details Diff
Remove `download_url` and `delete_url` for files

The REST API shouldn’t return such URLs. They are specific for web app
and can be calculated without being returned.

Fixes 0022792
Affected Issues
0022792
mod - api/rest/restcore/issues_rest.php Diff File
mod - api/soap/mc_issue_api.php Diff File
mod - core/commands/IssueFileGetCommand.php Diff File

MantisBT: master 09306f2f

2018-01-28 13:59:32

vboctor

Details Diff
Remove access and icon info for files

Fixes 0022792
Affected Issues
0022792
mod - api/rest/restcore/issues_rest.php Diff File
mod - api/soap/mc_issue_api.php Diff File

Issue History

Date Modified Username Field Change
2017-04-23 19:18 vboctor New Issue
2017-04-23 19:18 vboctor Relationship added related to 0022785
2018-01-19 11:29 Tomasz Klin Note Added: 0058566
2018-01-21 21:14 vboctor Assigned To => vboctor
2018-01-21 21:14 vboctor Status new => assigned
2018-01-21 21:14 vboctor Target Version => 2.11.0
2018-01-28 14:12 vboctor Changeset attached => MantisBT master a1cd2f65
2018-01-28 14:12 vboctor Changeset attached => MantisBT master 43facfa1
2018-01-28 14:12 vboctor Changeset attached => MantisBT master 84349ec8
2018-01-28 14:12 vboctor Changeset attached => MantisBT master 09306f2f
2018-01-28 14:12 vboctor Status assigned => resolved
2018-01-28 14:12 vboctor Resolution open => fixed
2018-01-28 14:12 vboctor Fixed in Version => 2.11.0
2018-02-06 21:17 vboctor Status resolved => closed